curl --request PATCH \
--url https://apiweb.mile.app/api/v3/automation/{automation_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Auto webhook automation",
"event": "onTaskFinished",
"isActive": false
}
'import requests
url = "https://apiweb.mile.app/api/v3/automation/{automation_id}"
payload = {
"name": "Auto webhook automation",
"event": "onTaskFinished",
"isActive": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Auto webhook automation', event: 'onTaskFinished', isActive: false})
};
fetch('https://apiweb.mile.app/api/v3/automation/{automation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Success",
"data": {
"name": "Auto webhook automation",
"event": "onTaskFinished",
"automationType": "webhook",
"dataType": "task",
"automationDetails": {
"url": "https://apiweb.mile.app/webhook",
"headers": {
"x-api-key": "1234e98498ce07d29474a7ev2",
"org": "global"
}
},
"rules": {
"flow": "Pickup",
"flowId": "667b712f63020e5f182f0cb2"
},
"organizationId": "621dd813eb3ebf16b94dbde3",
"isActive": false,
"updatedTime": "2022-07-13T03:16:40+00:00",
"createdTime": "2022-07-13T03:16:40+00:00",
"_id": "62ce3918d3f3e1681a3a54b5"
}
}{
"status": false,
"message": "Bad request - invalid parameters provided."
}{
"status": false,
"message": "Data not found"
}{
"status": false,
"message": "Internal server error, please contact support@mile.app."
}Update partially automation by ID
Authorizations
Use a valid Bearer token to authenticate.
Path Parameters
Unique identifier for automation that generated by system.
Example: 62ce3918d3f3e1681a3a54b5
Body
Automation's name.
Example: Auto webhook automation
Act as a trigger that start an automation. There are 10 different types.
enum: onTaskCreated, onTaskFinished, onTaskAssigned, onDataSourceCreated, onRoutingResultFinished, onRoutingResultDispatched, onStartTrip, onFinishTrip, onGeofenceEntry, onGeofenceLeave
onTaskCreated: Automation will happen when a task is created.
onTaskFinished: Automation will happen when a task is finished (status task: Done).
onTaskAssigned: Automation will happen when a task is assigned to field user(s).
onDataSourceCreated: Automation will happen when a data source is created.
onRoutingResultFinished: Automation will happen when a routing created is created.
onRoutingResultDispatched: Automation will happen when a routing is dispatched.
onStartTrip: Automation will happen when a start trip is triggered.
onFinishTrip: Automation will happen when a finish trip is triggered.
onGeofenceEntry: Automation will happen when a field worker enters a geofence and stays for its dwell time. Requires automationType: webhook and rules.fields.geofenceGroupId.
onGeofenceLeave: Automation will happen when a field worker leaves a geofence whose entry already fired. Requires automationType: webhook and rules.fields.geofenceGroupId.
Example: onTaskFinished
Automation's active state, only active automation will proceed by system
Default: true